Bug 1666942 - Review Request: R-IRkernel - Native R Kernel for the 'Jupyter Notebook'
Summary: Review Request: R-IRkernel - Native R Kernel for the 'Jupyter Notebook'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-17 03:17 UTC by Elliott Sales de Andrade
Modified: 2019-01-31 03:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-31 02:11:58 UTC
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-01-17 03:17:51 UTC
Spec URL: http://qulogic.fedorapeople.org//R-IRkernel.spec
SRPM URL: http://qulogic.fedorapeople.org//R-IRkernel-0.8.15-1.fc29.src.rpm

Description:
The R kernel for the 'Jupyter' environment executes R code which the front-end
('Jupyter Notebook' or other front-ends) submits to the kernel via the network.

Comment 1 Elliott Sales de Andrade 2019-01-17 03:18:37 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=32075342

Comment 2 José Matos 2019-01-21 11:04:45 UTC
Just one some small remark, ccording to the url page it says
Please use the canonical form https://CRAN.R-project.org/package=IRkernel to link to this page.

I think that it would be nice to follow this suggestion (note to self as well :-) ).

Other than that the license is correct and the spec file is clean and readable.

fedora-review just complains that

Issues:
=======
- Package have the default element marked as %%doc :DESCRIPTION

That is wrong for R packages so there none to see here. :-)

So the package is approved.

Comment 3 Gwyn Ciesla 2019-01-22 14:43:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-IRkernel

Comment 4 Fedora Update System 2019-01-22 23:31:03 UTC
R-IRkernel-0.8.15-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0fba554a5f

Comment 5 Fedora Update System 2019-01-22 23:31:27 UTC
R-IRkernel-0.8.15-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-709eb52ea0

Comment 6 Fedora Update System 2019-01-23 02:25:03 UTC
R-IRkernel-0.8.15-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0fba554a5f

Comment 7 Fedora Update System 2019-01-23 02:34:07 UTC
R-IRkernel-0.8.15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-709eb52ea0

Comment 8 Fedora Update System 2019-01-31 02:11:58 UTC
R-IRkernel-0.8.15-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-01-31 03:20:35 UTC
R-IRkernel-0.8.15-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.